Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Air Quality Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"aq", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletAirQuality\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get current all values", "*)"}],
   RowBox[{"iaqIndex", "=", "0", ";", "iaqIndexAccuracy", "=", "0", ";", "temperature", "=", "0", ";", "humidity", "=", "0", ";", "airPressure", "=", "0"}],
   RowBox[{"aq", "@", RowBox[{"GetAllValues", "[", RowBox[{"iaqIndex", ",", "iaqIndexAccuracy", ",", "temperature", ",", "humidity", ",", "airPressure"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Print", "[", RowBox[{"\"\<IAQ Index: \>\"", "<>", RowBox[{"ToString", "[", "iaqIndex", "]"}]}], "]"}],
   RowBox[{"If", "[", RowBox[{RowBox[{"iaqIndexAccuracy", "==", "Tinkerforge`BrickletAirQuality`ACCURACYUUNRELIABLE"}], ",", RowBox[{"Print", "[", "\"\<IAQ Index Accuracy: Unreliable\>\"", "]"}]}], "]"}],
   RowBox[{"If", "[", RowBox[{RowBox[{"iaqIndexAccuracy", "==", "Tinkerforge`BrickletAirQuality`ACCURACYULOW"}], ",", RowBox[{"Print", "[", "\"\<IAQ Index Accuracy: Low\>\"", "]"}]}], "]"}],
   RowBox[{"If", "[", RowBox[{RowBox[{"iaqIndexAccuracy", "==", "Tinkerforge`BrickletAirQuality`ACCURACYUMEDIUM"}], ",", RowBox[{"Print", "[", "\"\<IAQ Index Accuracy: Medium\>\"", "]"}]}], "]"}],
   RowBox[{"If", "[", RowBox[{RowBox[{"iaqIndexAccuracy", "==", "Tinkerforge`BrickletAirQuality`ACCURACYUHIGH"}], ",", RowBox[{"Print", "[", "\"\<IAQ Index Accuracy: High\>\"", "]"}]}], "]"}],
   RowBox[{"Print", "[", RowBox[{"\"\<Temperature: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{"temperature", ",", "\"\<\.b0C/100\>\""}], "]"}], "]"}], "]"}]}], "]"}],
   RowBox[{"Print", "[", RowBox[{"\"\<Humidity: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{"humidity", ",", "\"\<%RH/100\>\""}], "]"}], "]"}], "]"}]}], "]"}],
   RowBox[{"Print", "[", RowBox[{"\"\<Air Pressure: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{"airPressure", ",", "\"\<hPa/100\>\""}], "]"}], "]"}], "]"}]}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "aq", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
