Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your IMU Bricklet 3.0", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"imu", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletIMUV3\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get current quaternion", "*)"}],
   RowBox[{"w", "=", "0", ";", "x", "=", "0", ";", "y", "=", "0", ";", "z", "=", "0"}],
   RowBox[{"imu", "@", RowBox[{"GetQuaternion", "[", RowBox[{"w", ",", "x", ",", "y", ",", "z"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Print", "[", RowBox[{"\"\<Quaternion [W]: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"w", "/", "16383.0"}], "]"}], "]"}]}], "]"}],
   RowBox[{"Print", "[", RowBox[{"\"\<Quaternion [X]: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"x", "/", "16383.0"}], "]"}], "]"}]}], "]"}],
   RowBox[{"Print", "[", RowBox[{"\"\<Quaternion [Y]: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"y", "/", "16383.0"}], "]"}], "]"}]}], "]"}],
   RowBox[{"Print", "[", RowBox[{"\"\<Quaternion [Z]: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"z", "/", "16383.0"}], "]"}], "]"}]}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "imu", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
