Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your LCD 128x64 Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"lcd", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletLCD128x64\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for touch position callback", "*)"}],
   RowBox[{RowBox[{"TouchPositionCB", "[", RowBox[{"sender_", ",", "pressure_", ",", "x_", ",", "y_", ",", "age_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Pressure: \>\"", "<>", RowBox[{"ToString", "[", "pressure", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<X: \>\"", "<>", RowBox[{"ToString", "[", "x", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Y: \>\"", "<>", RowBox[{"ToString", "[", "y", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Age: \>\"", "<>", RowBox[{"ToString", "[", "age", "]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"lcd", "@", "TouchPositionCallback"}], ",", "TouchPositionCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for touch gesture callback", "*)"}],
   RowBox[{RowBox[{"TouchGestureCB", "[", RowBox[{"sender_", ",", "gesture_", ",", "duration_", ",", "pressureMax_", ",", "xStart_", ",", "xEnd_", ",", "yStart_", ",", "yEnd_", ",", "age_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"gesture", "==", "Tinkerforge`BrickletLCD128x64`GESTUREULEFTUTOURIGHT"}], ",", RowBox[{"Print", "[", "\"\<Gesture: Left To Right\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"gesture", "==", "Tinkerforge`BrickletLCD128x64`GESTUREURIGHTUTOULEFT"}], ",", RowBox[{"Print", "[", "\"\<Gesture: Right To Left\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"gesture", "==", "Tinkerforge`BrickletLCD128x64`GESTUREUTOPUTOUBOTTOM"}], ",", RowBox[{"Print", "[", "\"\<Gesture: Top To Bottom\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"gesture", "==", "Tinkerforge`BrickletLCD128x64`GESTUREUBOTTOMUTOUTOP"}], ",", RowBox[{"Print", "[", "\"\<Gesture: Bottom To Top\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Duration: \>\"", "<>", RowBox[{"ToString", "[", "duration", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Pressure Max: \>\"", "<>", RowBox[{"ToString", "[", "pressureMax", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<X Start: \>\"", "<>", RowBox[{"ToString", "[", "xStart", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<X End: \>\"", "<>", RowBox[{"ToString", "[", "xEnd", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Y Start: \>\"", "<>", RowBox[{"ToString", "[", "yStart", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Y End: \>\"", "<>", RowBox[{"ToString", "[", "yEnd", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Age: \>\"", "<>", RowBox[{"ToString", "[", "age", "]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"lcd", "@", "TouchGestureCallback"}], ",", "TouchGestureCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Set period for touch position callback to 0.1s (100ms)", "*)"}],
   RowBox[{"lcd", "@", RowBox[{"SetTouchPositionCallbackConfiguration", "[", RowBox[{"100", ",", "True"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Set period for touch gesture callback to 0.1s (100ms)", "*)"}],
   RowBox[{"lcd", "@", RowBox[{"SetTouchGestureCallbackConfiguration", "[", RowBox[{"100", ",", "True"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "lcd", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
