Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"secret", "=", "\"\<My Authentication Secret!\>\""}],
   RowBox[{"
"}],
   RowBox[{"(*", " Create IPConnection ", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", " Disable auto reconnect mechanism, in case we have the wrong secret. If the authentication is successful, reenable it.", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"SetAutoReconnect", "[", "False", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", " Authenticate each time the connection got (re-)established ", "*)"}],
   RowBox[{RowBox[{"ConnectedCB", "[", RowBox[{"sender_", ",", "connectReason_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"connectReason", "==", "Tinkerforge`IPConnection`CONNECTUREASONUREQUEST"}], ",", RowBox[{"Print", "[", "\"\<Connected by request\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"connectReason", "==", "Tinkerforge`IPConnection`CONNECTUREASONUAUTOURECONNECT"}], ",", RowBox[{"Print", "[", "\"\<Auto-Reconnect\>\"", "]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"(*", " Authenticate first... ", "*)"}], "\[IndentingNewLine]", "sender", "@", RowBox[{"Authenticate", "[", "secret", "]"}], ";", "\n", "\[IndentingNewLine]", RowBox[{"(*", " ...reenable auto reconnect mechanism, as described above... ", "*)"}], "\[IndentingNewLine]", "sender", "@", RowBox[{"SetAutoReconnect", "[", "False", "]"}], ";", "\n", "\[IndentingNewLine]", RowBox[{"(*", " ...then trigger enumerate ", "*)"}], "\[IndentingNewLine]", "sender", "@", RowBox[{"Enumerate", "[", "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"ipcon", "@", "Connected"}], ",", "ConnectedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", " Print incoming enumeration information ", "*)"}],
   RowBox[{RowBox[{"EnumerateCB", "[", RowBox[{"sender_", ",", "uid_", ",", "connectedUid_", ",", "position_", ",", "hardwareVersion_", ",", "firmwareVersion_", ",", RowBox[{"\[IndentingNewLine]", "deviceIdentifier_"}], ",", "enumerationType_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<UID: \>\"", "<>", "uid", "<>", "\"\<, Enumeration Type: \>\"", "<>", RowBox[{"ToString", "[", "enumerationType", "]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"ipcon", "@", "EnumerateCallback"}], ",", "EnumerateCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", " Connect to brickd ", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", " Clean up ", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
